Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.100.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
77.100.0.0
Broadcast address
77.103.255.255
First usable
77.100.0.1
Last usable
77.103.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D640000 · Integer 1298399232 to 1298661375
Reverse DNS zones
100.77.in-addr.arpa
101.77.in-addr.arpa
102.77.in-addr.arpa
103.77.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.01100100.00000000.0000000077.100.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01001101.01100100.00000000.0000000077.100.0.0
Broadcast01001101.01100111.11111111.1111111177.103.255.255
Split into smaller subnets/24

77.100.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.100.0.0/2477.100.0.1 to 77.100.0.25477.100.0.255254
277.100.1.0/2477.100.1.1 to 77.100.1.25477.100.1.255254
377.100.2.0/2477.100.2.1 to 77.100.2.25477.100.2.255254
477.100.3.0/2477.100.3.1 to 77.100.3.25477.100.3.255254
577.100.4.0/2477.100.4.1 to 77.100.4.25477.100.4.255254
677.100.5.0/2477.100.5.1 to 77.100.5.25477.100.5.255254
777.100.6.0/2477.100.6.1 to 77.100.6.25477.100.6.255254
877.100.7.0/2477.100.7.1 to 77.100.7.25477.100.7.255254
977.100.8.0/2477.100.8.1 to 77.100.8.25477.100.8.255254
1077.100.9.0/2477.100.9.1 to 77.100.9.25477.100.9.255254
1177.100.10.0/2477.100.10.1 to 77.100.10.25477.100.10.255254
1277.100.11.0/2477.100.11.1 to 77.100.11.25477.100.11.255254
1377.100.12.0/2477.100.12.1 to 77.100.12.25477.100.12.255254
1477.100.13.0/2477.100.13.1 to 77.100.13.25477.100.13.255254
1577.100.14.0/2477.100.14.1 to 77.100.14.25477.100.14.255254
1677.100.15.0/2477.100.15.1 to 77.100.15.25477.100.15.255254
1777.100.16.0/2477.100.16.1 to 77.100.16.25477.100.16.255254
1877.100.17.0/2477.100.17.1 to 77.100.17.25477.100.17.255254
1977.100.18.0/2477.100.18.1 to 77.100.18.25477.100.18.255254
2077.100.19.0/2477.100.19.1 to 77.100.19.25477.100.19.255254
2177.100.20.0/2477.100.20.1 to 77.100.20.25477.100.20.255254
2277.100.21.0/2477.100.21.1 to 77.100.21.25477.100.21.255254
2377.100.22.0/2477.100.22.1 to 77.100.22.25477.100.22.255254
2477.100.23.0/2477.100.23.1 to 77.100.23.25477.100.23.255254
2577.100.24.0/2477.100.24.1 to 77.100.24.25477.100.24.255254
2677.100.25.0/2477.100.25.1 to 77.100.25.25477.100.25.255254
2777.100.26.0/2477.100.26.1 to 77.100.26.25477.100.26.255254
2877.100.27.0/2477.100.27.1 to 77.100.27.25477.100.27.255254
2977.100.28.0/2477.100.28.1 to 77.100.28.25477.100.28.255254
3077.100.29.0/2477.100.29.1 to 77.100.29.25477.100.29.255254
3177.100.30.0/2477.100.30.1 to 77.100.30.25477.100.30.255254
3277.100.31.0/2477.100.31.1 to 77.100.31.25477.100.31.255254
3377.100.32.0/2477.100.32.1 to 77.100.32.25477.100.32.255254
3477.100.33.0/2477.100.33.1 to 77.100.33.25477.100.33.255254
3577.100.34.0/2477.100.34.1 to 77.100.34.25477.100.34.255254
3677.100.35.0/2477.100.35.1 to 77.100.35.25477.100.35.255254
3777.100.36.0/2477.100.36.1 to 77.100.36.25477.100.36.255254
3877.100.37.0/2477.100.37.1 to 77.100.37.25477.100.37.255254
3977.100.38.0/2477.100.38.1 to 77.100.38.25477.100.38.255254
4077.100.39.0/2477.100.39.1 to 77.100.39.25477.100.39.255254
4177.100.40.0/2477.100.40.1 to 77.100.40.25477.100.40.255254
4277.100.41.0/2477.100.41.1 to 77.100.41.25477.100.41.255254
4377.100.42.0/2477.100.42.1 to 77.100.42.25477.100.42.255254
4477.100.43.0/2477.100.43.1 to 77.100.43.25477.100.43.255254
4577.100.44.0/2477.100.44.1 to 77.100.44.25477.100.44.255254
4677.100.45.0/2477.100.45.1 to 77.100.45.25477.100.45.255254
4777.100.46.0/2477.100.46.1 to 77.100.46.25477.100.46.255254
4877.100.47.0/2477.100.47.1 to 77.100.47.25477.100.47.255254
4977.100.48.0/2477.100.48.1 to 77.100.48.25477.100.48.255254
5077.100.49.0/2477.100.49.1 to 77.100.49.25477.100.49.255254
5177.100.50.0/2477.100.50.1 to 77.100.50.25477.100.50.255254
5277.100.51.0/2477.100.51.1 to 77.100.51.25477.100.51.255254
5377.100.52.0/2477.100.52.1 to 77.100.52.25477.100.52.255254
5477.100.53.0/2477.100.53.1 to 77.100.53.25477.100.53.255254
5577.100.54.0/2477.100.54.1 to 77.100.54.25477.100.54.255254
5677.100.55.0/2477.100.55.1 to 77.100.55.25477.100.55.255254
5777.100.56.0/2477.100.56.1 to 77.100.56.25477.100.56.255254
5877.100.57.0/2477.100.57.1 to 77.100.57.25477.100.57.255254
5977.100.58.0/2477.100.58.1 to 77.100.58.25477.100.58.255254
6077.100.59.0/2477.100.59.1 to 77.100.59.25477.100.59.255254
6177.100.60.0/2477.100.60.1 to 77.100.60.25477.100.60.255254
6277.100.61.0/2477.100.61.1 to 77.100.61.25477.100.61.255254
6377.100.62.0/2477.100.62.1 to 77.100.62.25477.100.62.255254
6477.100.63.0/2477.100.63.1 to 77.100.63.25477.100.63.255254
6577.100.64.0/2477.100.64.1 to 77.100.64.25477.100.64.255254
6677.100.65.0/2477.100.65.1 to 77.100.65.25477.100.65.255254
6777.100.66.0/2477.100.66.1 to 77.100.66.25477.100.66.255254
6877.100.67.0/2477.100.67.1 to 77.100.67.25477.100.67.255254
6977.100.68.0/2477.100.68.1 to 77.100.68.25477.100.68.255254
7077.100.69.0/2477.100.69.1 to 77.100.69.25477.100.69.255254
7177.100.70.0/2477.100.70.1 to 77.100.70.25477.100.70.255254
7277.100.71.0/2477.100.71.1 to 77.100.71.25477.100.71.255254
7377.100.72.0/2477.100.72.1 to 77.100.72.25477.100.72.255254
7477.100.73.0/2477.100.73.1 to 77.100.73.25477.100.73.255254
7577.100.74.0/2477.100.74.1 to 77.100.74.25477.100.74.255254
7677.100.75.0/2477.100.75.1 to 77.100.75.25477.100.75.255254
7777.100.76.0/2477.100.76.1 to 77.100.76.25477.100.76.255254
7877.100.77.0/2477.100.77.1 to 77.100.77.25477.100.77.255254
7977.100.78.0/2477.100.78.1 to 77.100.78.25477.100.78.255254
8077.100.79.0/2477.100.79.1 to 77.100.79.25477.100.79.255254
8177.100.80.0/2477.100.80.1 to 77.100.80.25477.100.80.255254
8277.100.81.0/2477.100.81.1 to 77.100.81.25477.100.81.255254
8377.100.82.0/2477.100.82.1 to 77.100.82.25477.100.82.255254
8477.100.83.0/2477.100.83.1 to 77.100.83.25477.100.83.255254
8577.100.84.0/2477.100.84.1 to 77.100.84.25477.100.84.255254
8677.100.85.0/2477.100.85.1 to 77.100.85.25477.100.85.255254
8777.100.86.0/2477.100.86.1 to 77.100.86.25477.100.86.255254
8877.100.87.0/2477.100.87.1 to 77.100.87.25477.100.87.255254
8977.100.88.0/2477.100.88.1 to 77.100.88.25477.100.88.255254
9077.100.89.0/2477.100.89.1 to 77.100.89.25477.100.89.255254
9177.100.90.0/2477.100.90.1 to 77.100.90.25477.100.90.255254
9277.100.91.0/2477.100.91.1 to 77.100.91.25477.100.91.255254
9377.100.92.0/2477.100.92.1 to 77.100.92.25477.100.92.255254
9477.100.93.0/2477.100.93.1 to 77.100.93.25477.100.93.255254
9577.100.94.0/2477.100.94.1 to 77.100.94.25477.100.94.255254
9677.100.95.0/2477.100.95.1 to 77.100.95.25477.100.95.255254
9777.100.96.0/2477.100.96.1 to 77.100.96.25477.100.96.255254
9877.100.97.0/2477.100.97.1 to 77.100.97.25477.100.97.255254
9977.100.98.0/2477.100.98.1 to 77.100.98.25477.100.98.255254
10077.100.99.0/2477.100.99.1 to 77.100.99.25477.100.99.255254
10177.100.100.0/2477.100.100.1 to 77.100.100.25477.100.100.255254
10277.100.101.0/2477.100.101.1 to 77.100.101.25477.100.101.255254
10377.100.102.0/2477.100.102.1 to 77.100.102.25477.100.102.255254
10477.100.103.0/2477.100.103.1 to 77.100.103.25477.100.103.255254
10577.100.104.0/2477.100.104.1 to 77.100.104.25477.100.104.255254
10677.100.105.0/2477.100.105.1 to 77.100.105.25477.100.105.255254
10777.100.106.0/2477.100.106.1 to 77.100.106.25477.100.106.255254
10877.100.107.0/2477.100.107.1 to 77.100.107.25477.100.107.255254
10977.100.108.0/2477.100.108.1 to 77.100.108.25477.100.108.255254
11077.100.109.0/2477.100.109.1 to 77.100.109.25477.100.109.255254
11177.100.110.0/2477.100.110.1 to 77.100.110.25477.100.110.255254
11277.100.111.0/2477.100.111.1 to 77.100.111.25477.100.111.255254
11377.100.112.0/2477.100.112.1 to 77.100.112.25477.100.112.255254
11477.100.113.0/2477.100.113.1 to 77.100.113.25477.100.113.255254
11577.100.114.0/2477.100.114.1 to 77.100.114.25477.100.114.255254
11677.100.115.0/2477.100.115.1 to 77.100.115.25477.100.115.255254
11777.100.116.0/2477.100.116.1 to 77.100.116.25477.100.116.255254
11877.100.117.0/2477.100.117.1 to 77.100.117.25477.100.117.255254
11977.100.118.0/2477.100.118.1 to 77.100.118.25477.100.118.255254
12077.100.119.0/2477.100.119.1 to 77.100.119.25477.100.119.255254
12177.100.120.0/2477.100.120.1 to 77.100.120.25477.100.120.255254
12277.100.121.0/2477.100.121.1 to 77.100.121.25477.100.121.255254
12377.100.122.0/2477.100.122.1 to 77.100.122.25477.100.122.255254
12477.100.123.0/2477.100.123.1 to 77.100.123.25477.100.123.255254
12577.100.124.0/2477.100.124.1 to 77.100.124.25477.100.124.255254
12677.100.125.0/2477.100.125.1 to 77.100.125.25477.100.125.255254
12777.100.126.0/2477.100.126.1 to 77.100.126.25477.100.126.255254
12877.100.127.0/2477.100.127.1 to 77.100.127.25477.100.127.255254
12977.100.128.0/2477.100.128.1 to 77.100.128.25477.100.128.255254
13077.100.129.0/2477.100.129.1 to 77.100.129.25477.100.129.255254
13177.100.130.0/2477.100.130.1 to 77.100.130.25477.100.130.255254
13277.100.131.0/2477.100.131.1 to 77.100.131.25477.100.131.255254
13377.100.132.0/2477.100.132.1 to 77.100.132.25477.100.132.255254
13477.100.133.0/2477.100.133.1 to 77.100.133.25477.100.133.255254
13577.100.134.0/2477.100.134.1 to 77.100.134.25477.100.134.255254
13677.100.135.0/2477.100.135.1 to 77.100.135.25477.100.135.255254
13777.100.136.0/2477.100.136.1 to 77.100.136.25477.100.136.255254
13877.100.137.0/2477.100.137.1 to 77.100.137.25477.100.137.255254
13977.100.138.0/2477.100.138.1 to 77.100.138.25477.100.138.255254
14077.100.139.0/2477.100.139.1 to 77.100.139.25477.100.139.255254
14177.100.140.0/2477.100.140.1 to 77.100.140.25477.100.140.255254
14277.100.141.0/2477.100.141.1 to 77.100.141.25477.100.141.255254
14377.100.142.0/2477.100.142.1 to 77.100.142.25477.100.142.255254
14477.100.143.0/2477.100.143.1 to 77.100.143.25477.100.143.255254
14577.100.144.0/2477.100.144.1 to 77.100.144.25477.100.144.255254
14677.100.145.0/2477.100.145.1 to 77.100.145.25477.100.145.255254
14777.100.146.0/2477.100.146.1 to 77.100.146.25477.100.146.255254
14877.100.147.0/2477.100.147.1 to 77.100.147.25477.100.147.255254
14977.100.148.0/2477.100.148.1 to 77.100.148.25477.100.148.255254
15077.100.149.0/2477.100.149.1 to 77.100.149.25477.100.149.255254
15177.100.150.0/2477.100.150.1 to 77.100.150.25477.100.150.255254
15277.100.151.0/2477.100.151.1 to 77.100.151.25477.100.151.255254
15377.100.152.0/2477.100.152.1 to 77.100.152.25477.100.152.255254
15477.100.153.0/2477.100.153.1 to 77.100.153.25477.100.153.255254
15577.100.154.0/2477.100.154.1 to 77.100.154.25477.100.154.255254
15677.100.155.0/2477.100.155.1 to 77.100.155.25477.100.155.255254
15777.100.156.0/2477.100.156.1 to 77.100.156.25477.100.156.255254
15877.100.157.0/2477.100.157.1 to 77.100.157.25477.100.157.255254
15977.100.158.0/2477.100.158.1 to 77.100.158.25477.100.158.255254
16077.100.159.0/2477.100.159.1 to 77.100.159.25477.100.159.255254
16177.100.160.0/2477.100.160.1 to 77.100.160.25477.100.160.255254
16277.100.161.0/2477.100.161.1 to 77.100.161.25477.100.161.255254
16377.100.162.0/2477.100.162.1 to 77.100.162.25477.100.162.255254
16477.100.163.0/2477.100.163.1 to 77.100.163.25477.100.163.255254
16577.100.164.0/2477.100.164.1 to 77.100.164.25477.100.164.255254
16677.100.165.0/2477.100.165.1 to 77.100.165.25477.100.165.255254
16777.100.166.0/2477.100.166.1 to 77.100.166.25477.100.166.255254
16877.100.167.0/2477.100.167.1 to 77.100.167.25477.100.167.255254
16977.100.168.0/2477.100.168.1 to 77.100.168.25477.100.168.255254
17077.100.169.0/2477.100.169.1 to 77.100.169.25477.100.169.255254
17177.100.170.0/2477.100.170.1 to 77.100.170.25477.100.170.255254
17277.100.171.0/2477.100.171.1 to 77.100.171.25477.100.171.255254
17377.100.172.0/2477.100.172.1 to 77.100.172.25477.100.172.255254
17477.100.173.0/2477.100.173.1 to 77.100.173.25477.100.173.255254
17577.100.174.0/2477.100.174.1 to 77.100.174.25477.100.174.255254
17677.100.175.0/2477.100.175.1 to 77.100.175.25477.100.175.255254
17777.100.176.0/2477.100.176.1 to 77.100.176.25477.100.176.255254
17877.100.177.0/2477.100.177.1 to 77.100.177.25477.100.177.255254
17977.100.178.0/2477.100.178.1 to 77.100.178.25477.100.178.255254
18077.100.179.0/2477.100.179.1 to 77.100.179.25477.100.179.255254
18177.100.180.0/2477.100.180.1 to 77.100.180.25477.100.180.255254
18277.100.181.0/2477.100.181.1 to 77.100.181.25477.100.181.255254
18377.100.182.0/2477.100.182.1 to 77.100.182.25477.100.182.255254
18477.100.183.0/2477.100.183.1 to 77.100.183.25477.100.183.255254
18577.100.184.0/2477.100.184.1 to 77.100.184.25477.100.184.255254
18677.100.185.0/2477.100.185.1 to 77.100.185.25477.100.185.255254
18777.100.186.0/2477.100.186.1 to 77.100.186.25477.100.186.255254
18877.100.187.0/2477.100.187.1 to 77.100.187.25477.100.187.255254
18977.100.188.0/2477.100.188.1 to 77.100.188.25477.100.188.255254
19077.100.189.0/2477.100.189.1 to 77.100.189.25477.100.189.255254
19177.100.190.0/2477.100.190.1 to 77.100.190.25477.100.190.255254
19277.100.191.0/2477.100.191.1 to 77.100.191.25477.100.191.255254
19377.100.192.0/2477.100.192.1 to 77.100.192.25477.100.192.255254
19477.100.193.0/2477.100.193.1 to 77.100.193.25477.100.193.255254
19577.100.194.0/2477.100.194.1 to 77.100.194.25477.100.194.255254
19677.100.195.0/2477.100.195.1 to 77.100.195.25477.100.195.255254
19777.100.196.0/2477.100.196.1 to 77.100.196.25477.100.196.255254
19877.100.197.0/2477.100.197.1 to 77.100.197.25477.100.197.255254
19977.100.198.0/2477.100.198.1 to 77.100.198.25477.100.198.255254
20077.100.199.0/2477.100.199.1 to 77.100.199.25477.100.199.255254
20177.100.200.0/2477.100.200.1 to 77.100.200.25477.100.200.255254
20277.100.201.0/2477.100.201.1 to 77.100.201.25477.100.201.255254
20377.100.202.0/2477.100.202.1 to 77.100.202.25477.100.202.255254
20477.100.203.0/2477.100.203.1 to 77.100.203.25477.100.203.255254
20577.100.204.0/2477.100.204.1 to 77.100.204.25477.100.204.255254
20677.100.205.0/2477.100.205.1 to 77.100.205.25477.100.205.255254
20777.100.206.0/2477.100.206.1 to 77.100.206.25477.100.206.255254
20877.100.207.0/2477.100.207.1 to 77.100.207.25477.100.207.255254
20977.100.208.0/2477.100.208.1 to 77.100.208.25477.100.208.255254
21077.100.209.0/2477.100.209.1 to 77.100.209.25477.100.209.255254
21177.100.210.0/2477.100.210.1 to 77.100.210.25477.100.210.255254
21277.100.211.0/2477.100.211.1 to 77.100.211.25477.100.211.255254
21377.100.212.0/2477.100.212.1 to 77.100.212.25477.100.212.255254
21477.100.213.0/2477.100.213.1 to 77.100.213.25477.100.213.255254
21577.100.214.0/2477.100.214.1 to 77.100.214.25477.100.214.255254
21677.100.215.0/2477.100.215.1 to 77.100.215.25477.100.215.255254
21777.100.216.0/2477.100.216.1 to 77.100.216.25477.100.216.255254
21877.100.217.0/2477.100.217.1 to 77.100.217.25477.100.217.255254
21977.100.218.0/2477.100.218.1 to 77.100.218.25477.100.218.255254
22077.100.219.0/2477.100.219.1 to 77.100.219.25477.100.219.255254
22177.100.220.0/2477.100.220.1 to 77.100.220.25477.100.220.255254
22277.100.221.0/2477.100.221.1 to 77.100.221.25477.100.221.255254
22377.100.222.0/2477.100.222.1 to 77.100.222.25477.100.222.255254
22477.100.223.0/2477.100.223.1 to 77.100.223.25477.100.223.255254
22577.100.224.0/2477.100.224.1 to 77.100.224.25477.100.224.255254
22677.100.225.0/2477.100.225.1 to 77.100.225.25477.100.225.255254
22777.100.226.0/2477.100.226.1 to 77.100.226.25477.100.226.255254
22877.100.227.0/2477.100.227.1 to 77.100.227.25477.100.227.255254
22977.100.228.0/2477.100.228.1 to 77.100.228.25477.100.228.255254
23077.100.229.0/2477.100.229.1 to 77.100.229.25477.100.229.255254
23177.100.230.0/2477.100.230.1 to 77.100.230.25477.100.230.255254
23277.100.231.0/2477.100.231.1 to 77.100.231.25477.100.231.255254
23377.100.232.0/2477.100.232.1 to 77.100.232.25477.100.232.255254
23477.100.233.0/2477.100.233.1 to 77.100.233.25477.100.233.255254
23577.100.234.0/2477.100.234.1 to 77.100.234.25477.100.234.255254
23677.100.235.0/2477.100.235.1 to 77.100.235.25477.100.235.255254
23777.100.236.0/2477.100.236.1 to 77.100.236.25477.100.236.255254
23877.100.237.0/2477.100.237.1 to 77.100.237.25477.100.237.255254
23977.100.238.0/2477.100.238.1 to 77.100.238.25477.100.238.255254
24077.100.239.0/2477.100.239.1 to 77.100.239.25477.100.239.255254
24177.100.240.0/2477.100.240.1 to 77.100.240.25477.100.240.255254
24277.100.241.0/2477.100.241.1 to 77.100.241.25477.100.241.255254
24377.100.242.0/2477.100.242.1 to 77.100.242.25477.100.242.255254
24477.100.243.0/2477.100.243.1 to 77.100.243.25477.100.243.255254
24577.100.244.0/2477.100.244.1 to 77.100.244.25477.100.244.255254
24677.100.245.0/2477.100.245.1 to 77.100.245.25477.100.245.255254
24777.100.246.0/2477.100.246.1 to 77.100.246.25477.100.246.255254
24877.100.247.0/2477.100.247.1 to 77.100.247.25477.100.247.255254
24977.100.248.0/2477.100.248.1 to 77.100.248.25477.100.248.255254
25077.100.249.0/2477.100.249.1 to 77.100.249.25477.100.249.255254
25177.100.250.0/2477.100.250.1 to 77.100.250.25477.100.250.255254
25277.100.251.0/2477.100.251.1 to 77.100.251.25477.100.251.255254
25377.100.252.0/2477.100.252.1 to 77.100.252.25477.100.252.255254
25477.100.253.0/2477.100.253.1 to 77.100.253.25477.100.253.255254
25577.100.254.0/2477.100.254.1 to 77.100.254.25477.100.254.255254
25677.100.255.0/2477.100.255.1 to 77.100.255.25477.100.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses